Skip to main content
PUT
/
dr
/
v1
/
appointment
/
{appointment_id}
/
follow-up
/
confirm
Confirm Follow-Up Appointment
curl --request PUT \
  --url https://api.eka.care/dr/v1/appointment/{appointment_id}/follow-up/confirm \
  --header 'Content-Type: application/json' \
  --header 'auth: <auth>' \
  --data '
{
  "start_time": 1730189586,
  "end_time": 1730189586
}
'
import requests

url = "https://api.eka.care/dr/v1/appointment/{appointment_id}/follow-up/confirm"

payload = {
"start_time": 1730189586,
"end_time": 1730189586
}
headers = {
"auth": "<auth>",
"Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PUT',
headers: {auth: '<auth>', 'Content-Type': 'application/json'},
body: JSON.stringify({start_time: 1730189586, end_time: 1730189586})
};

fetch('https://api.eka.care/dr/v1/appointment/{appointment_id}/follow-up/confirm', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "error": {
    "code": "INVALID_REQUEST",
    "message": "The request is invalid or missing required parameters"
  }
}
{
"error": {
"code": "APPOINTMENT_NOT_FOUND",
"message": "The specified appointment ID does not exist"
}
}
{
"error": {
"code": "SERVER_ERROR",
"message": "An unexpected error occurred on the server"
}
}

Headers

auth
string
required
Example:

"auth"

Path Parameters

appointment_id
string
required

Query Parameters

partner_id
string

If set to 1 then appointment_id in path parameter should be partner_appointment_id else eka apppointment_id

Example:

"1"

Body

application/json
start_time
integer

Start time of the appointment in epoch

Example:

1730189586

end_time
integer

End time of the appointment in epoch

Example:

1730189586

Response

OK